MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032388Open CASCADE[OCCT] OCCT:Visualizationpublic2021-05-24 16:192021-05-29 13:13
Reporterosa 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032388: Visualization - provide ray-picking interface with zero tolerance for rectangular frustum
DescriptionAdd possibility to define a Rectangular Frustum with zero thickness.
It should use algorithms similar to implemented for axis intersector but with camera supporting.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numbervselect/axis/A3
Attached Files

- Relationships
related to 0032338verifiedbugmaster Visualization - provide straightforward interface for ray-picking 

-  Notes
(0101359)
git (administrator)
2021-05-25 17:58

Branch CR32388 has been created by osa.

SHA-1: c27eb58f0be7cbe965ad923daa1f15e12c82eb5d


Detailed log of new commits:

Author: osa
Date: Tue May 25 17:57:48 2021 +0300

    0032388: Visualization - provide ray-picking interface with zero tolerance for rectangular frustum
(0101377)
osa (developer)
2021-05-26 09:52

http://jenkins-test-occt/view/CR32388-master-OSA/view/ALL/ [^]
(0101379)
osa (developer)
2021-05-26 10:22

The patch is ready to review.
  OCCT: CR32388
(0101380)
git (administrator)
2021-05-26 10:24

Branch CR32388 has been updated forcibly by osa.

SHA-1: 9872be5e80e32a3f4d23b43c7de4b88be9e2c134
(0101471)
bugmaster (administrator)
2021-05-29 12:02

Combination -
OCCT branch : IR-2021-05-28
master SHA - 2315a044240803013da63dd2f5209c739ab03727
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-05-28 SHA - 2131ac830b9e3c707d427f2aac9c50dcfa5c74db
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17574.5700000004 / 17867.41000000037 [-1.64%]
Products
Total CPU difference: 11533.700000000124 / 11535.680000000108 [-0.02%]
Windows-64-VC14:
OCCT
Total CPU difference: 19393.5625 / 19367.75 [+0.13%]
Products
Total CPU difference: 12891.8125 / 12920.9375 [-0.23%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0101503)
git (administrator)
2021-05-29 13:13

Branch CR32388 has been deleted by mnt.

SHA-1: 9872be5e80e32a3f4d23b43c7de4b88be9e2c134

- Related Changesets
occt: master 0038de11
Timestamp: 2021-05-25 14:57:48
Author: osa
Committer: bugmaster
Details ] Diff ]
0032388: Visualization - provide ray-picking interface with zero tolerance for rectangular frustum
mod - src/Select3D/Select3D_SensitiveEntity.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_RectangularFrustum.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectionManager.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ToleranceMap.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ToleranceMap.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
add - tests/vselect/axis/A3 Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-05-24 16:19 osa New Issue
2021-05-24 16:19 osa Assigned To => kgv
2021-05-24 16:19 osa Relationship added related to 0032338
2021-05-25 17:43 osa Assigned To kgv => osa
2021-05-25 17:43 osa Status new => assigned
2021-05-25 17:58 git Note Added: 0101359
2021-05-26 09:52 osa Note Added: 0101377
2021-05-26 10:22 osa Note Added: 0101379
2021-05-26 10:22 osa Assigned To osa => kgv
2021-05-26 10:22 osa Status assigned => resolved
2021-05-26 10:22 osa Steps to Reproduce Updated View Revisions
2021-05-26 10:24 git Note Added: 0101380
2021-05-26 10:31 kgv Assigned To kgv => bugmaster
2021-05-26 10:31 kgv Status resolved => reviewed
2021-05-29 12:02 bugmaster Note Added: 0101471
2021-05-29 12:02 bugmaster Status reviewed => tested
2021-05-29 12:06 bugmaster Test case number => vselect/axis/A3
2021-05-29 12:12 bugmaster Changeset attached => occt master 0038de11
2021-05-29 12:12 bugmaster Status tested => verified
2021-05-29 12:12 bugmaster Resolution open => fixed
2021-05-29 13:13 git Note Added: 0101503


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker